Error when I attempt start opennms

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
J.B
Reply | Threaded
Open this post in threaded view
|

Error when I attempt start opennms

J.B
Hi,

I finish my first instalation of opennms and when execute /etc/init.d/opennms start I have this error:

 opt]# /etc/init.d/opennms start
/etc/init.d/opennms: OpenNMS not configured.
/opt/opennms/etc/configured does not exist.

You need to run the installer to set up the database.  In most
cases, it is enough to run:

  /opt/opennms/bin/install -dis



When execute /opt/opennms/bin/install -dis

Failed to load the optional jrrd library.
  - This error is not fatal, since jrrd is only required for optional features.
  - For more information, see http://www.opennms.org/index.php/jrrd

I execute yum install jrrd

Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 * base: centos.mirror.xtratelecom.es
 * extras: centos.mirror.xtratelecom.es
 * rpmforge: fr2.rpmfind.net
 * updates: centos.mirror.xtratelecom.es
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package jrrd.i386 0:1.0.5-1 set to be updated
--> Processing Dependency: librrd_th.so.2 for package: jrrd
--> Finished Dependency Resolution
jrrd-1.0.5-1.i386 from opennms-stable-rhel5 has depsolving problems
  --> Missing Dependency: librrd_th.so.2 is needed by package jrrd-1.0.5-1.i386 (opennms-stable-rhel5)
Error: Missing Dependency: librrd_th.so.2 is needed by package jrrd-1.0.5-1.i386 (opennms-stable-rhel5)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

opt]# yum -y install librrd_th.so.2
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 * base: centos.mirror.xtratelecom.es
 * extras: centos.mirror.xtratelecom.es
 * rpmforge: fr2.rpmfind.net
 * updates: centos.mirror.xtratelecom.es
Setting up Install Process
Package matching rrdtool-1.2.30-1.el5.rf.i386 already installed. Checking for update.
Nothing to do

I have done these steps but still gives me the same problem.

A greeting
Reply | Threaded
Open this post in threaded view
|

Re: Error when I attempt start opennms

Mack
I am also getting the same error...